Update the participant's public profile
Updates the donor-facing fields on the TripParticipant record (bio, video, social links, public visibility). Photo uploads go through the existing donor upload endpoint, not this one. The is_public flag is forced to true when the trip’s allow_participant_visibility_opt_out setting is false. Cache invalidation runs after save so public participant pages reflect the change immediately.
curl --request PUT \
--url https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/profile/{session_id} \
--header 'Content-Type: application/json' \
--header 'session_id: <api-key>' \
--data @- <<EOF
{
"bio": "Hi, I'm Sam.",
"video_url": "https://www.youtube.com/watch?v=abc",
"social_links": {
"facebook": "<string>",
"twitter": "<string>",
"instagram": "<string>",
"linkedin": "<string>"
},
"is_public": true
}
EOFimport requests
url = "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/profile/{session_id}"
payload = {
"bio": "Hi, I'm Sam.",
"video_url": "https://www.youtube.com/watch?v=abc",
"social_links": {
"facebook": "<string>",
"twitter": "<string>",
"instagram": "<string>",
"linkedin": "<string>"
},
"is_public": True
}
headers = {
"session_id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {session_id: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bio: 'Hi, I\'m Sam.',
video_url: 'https://www.youtube.com/watch?v=abc',
social_links: {
facebook: '<string>',
twitter: '<string>',
instagram: '<string>',
linkedin: '<string>'
},
is_public: true
})
};
fetch('https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/profile/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/profile/{session_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'bio' => 'Hi, I\'m Sam.',
'video_url' => 'https://www.youtube.com/watch?v=abc',
'social_links' => [
'facebook' => '<string>',
'twitter' => '<string>',
'instagram' => '<string>',
'linkedin' => '<string>'
],
'is_public' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"session_id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/profile/{session_id}"
payload := strings.NewReader("{\n \"bio\": \"Hi, I'm Sam.\",\n \"video_url\": \"https://www.youtube.com/watch?v=abc\",\n \"social_links\": {\n \"facebook\": \"<string>\",\n \"twitter\": \"<string>\",\n \"instagram\": \"<string>\",\n \"linkedin\": \"<string>\"\n },\n \"is_public\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("session_id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/profile/{session_id}")
.header("session_id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"bio\": \"Hi, I'm Sam.\",\n \"video_url\": \"https://www.youtube.com/watch?v=abc\",\n \"social_links\": {\n \"facebook\": \"<string>\",\n \"twitter\": \"<string>\",\n \"instagram\": \"<string>\",\n \"linkedin\": \"<string>\"\n },\n \"is_public\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/profile/{session_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["session_id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bio\": \"Hi, I'm Sam.\",\n \"video_url\": \"https://www.youtube.com/watch?v=abc\",\n \"social_links\": {\n \"facebook\": \"<string>\",\n \"twitter\": \"<string>\",\n \"instagram\": \"<string>\",\n \"linkedin\": \"<string>\"\n },\n \"is_public\": true\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Profile updated successfully",
"data": {
"id": 123,
"bio": "<string>",
"video_url": "<string>",
"social_links": {},
"is_public": true,
"allow_visibility_opt_out": true
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Legacy session-id header retained for backwards compatibility with older first-party clients. New integrations should prefer bearerAuth or apiKeyAuth.
Path Parameters
207
512
Body
Validator rule: nullable|string|max:5000.
"Hi, I'm Sam."
Validator rule: nullable|url|max:500.
"https://www.youtube.com/watch?v=abc"
Validator rule: nullable|array plus per-field URL rules.
Show child attributes
Show child attributes
Validator rule: nullable|boolean. Forced to true when the trip disallows opt-out.
curl --request PUT \
--url https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/profile/{session_id} \
--header 'Content-Type: application/json' \
--header 'session_id: <api-key>' \
--data @- <<EOF
{
"bio": "Hi, I'm Sam.",
"video_url": "https://www.youtube.com/watch?v=abc",
"social_links": {
"facebook": "<string>",
"twitter": "<string>",
"instagram": "<string>",
"linkedin": "<string>"
},
"is_public": true
}
EOFimport requests
url = "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/profile/{session_id}"
payload = {
"bio": "Hi, I'm Sam.",
"video_url": "https://www.youtube.com/watch?v=abc",
"social_links": {
"facebook": "<string>",
"twitter": "<string>",
"instagram": "<string>",
"linkedin": "<string>"
},
"is_public": True
}
headers = {
"session_id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {session_id: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bio: 'Hi, I\'m Sam.',
video_url: 'https://www.youtube.com/watch?v=abc',
social_links: {
facebook: '<string>',
twitter: '<string>',
instagram: '<string>',
linkedin: '<string>'
},
is_public: true
})
};
fetch('https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/profile/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/profile/{session_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'bio' => 'Hi, I\'m Sam.',
'video_url' => 'https://www.youtube.com/watch?v=abc',
'social_links' => [
'facebook' => '<string>',
'twitter' => '<string>',
'instagram' => '<string>',
'linkedin' => '<string>'
],
'is_public' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"session_id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/profile/{session_id}"
payload := strings.NewReader("{\n \"bio\": \"Hi, I'm Sam.\",\n \"video_url\": \"https://www.youtube.com/watch?v=abc\",\n \"social_links\": {\n \"facebook\": \"<string>\",\n \"twitter\": \"<string>\",\n \"instagram\": \"<string>\",\n \"linkedin\": \"<string>\"\n },\n \"is_public\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("session_id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/profile/{session_id}")
.header("session_id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"bio\": \"Hi, I'm Sam.\",\n \"video_url\": \"https://www.youtube.com/watch?v=abc\",\n \"social_links\": {\n \"facebook\": \"<string>\",\n \"twitter\": \"<string>\",\n \"instagram\": \"<string>\",\n \"linkedin\": \"<string>\"\n },\n \"is_public\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/profile/{session_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["session_id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bio\": \"Hi, I'm Sam.\",\n \"video_url\": \"https://www.youtube.com/watch?v=abc\",\n \"social_links\": {\n \"facebook\": \"<string>\",\n \"twitter\": \"<string>\",\n \"instagram\": \"<string>\",\n \"linkedin\": \"<string>\"\n },\n \"is_public\": true\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Profile updated successfully",
"data": {
"id": 123,
"bio": "<string>",
"video_url": "<string>",
"social_links": {},
"is_public": true,
"allow_visibility_opt_out": true
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}